﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AtualizadorAplicacao
{
    class Program
    {
        static void Main(string[] args)
        {
            //ChecarUpdatesNAppUpdate();
            //ChecarUpdatesAutoUpdater();

            var assembly = System.Reflection.Assembly.GetExecutingAssembly();
            var titleAttribute = assembly.GetCustomAttributes(typeof(System.Reflection.AssemblyTitleAttribute), false).FirstOrDefault() as System.Reflection.AssemblyTitleAttribute;
            var title = titleAttribute?.Title;
            var version = assembly.GetName().Version.ToString();
            Console.WriteLine(string.Format("Assembly Title: {0}", title));
            Console.WriteLine(string.Format("Assembly Version: {0}", version));
            Console.ReadLine();
        }

        private static void ChecarUpdatesNAppUpdate()
        {
            var updateManager = NAppUpdate.Framework.UpdateManager.Instance;
            updateManager.UpdateSource = new NAppUpdate.Framework.Sources.SimpleWebSource(@"file://d:\tmp\nappupdate.xml");
            updateManager.ReinstateIfRestarted();
            if (updateManager.State == NAppUpdate.Framework.UpdateManager.UpdateProcessState.NotChecked)
            {
                updateManager.CheckForUpdates();
                if (updateManager.UpdatesAvailable > 0)
                {
                    updateManager.PrepareUpdates();
                    updateManager.ApplyUpdates(true);
                }
            }
        }

        private static void ChecarUpdatesAutoUpdater()
        {
            AutoUpdaterDotNET.AutoUpdater.Start(@"file://d:\tmp\autoupdater.xml");
        }
    }
}
